import { test, expect } from '@playwright/test';
import {ProductSystemGenerationTrainer} from "./ProductSystemGenerationTrainer";
test.describe('Test Create ProductStates', () => {

  test("Test simple Binary Product State", async () => {
    const gamesystem = ProductSystemGenerationTrainer.givenSimplestProductSystem();
    gamesystem.generateFromChildsystems();

    expect(gamesystem.states.length).toEqual(4);
    expect(gamesystem.transitions.length).toEqual(5);
  })

  test("Test simple triple Product State", async () => {
    const gamesystem = ProductSystemGenerationTrainer.givenTrippleProductSystem();
    gamesystem.generateFromChildsystems();

    expect(gamesystem.states.length).toEqual(8);
    expect(gamesystem.transitions.length).toEqual(19)
  })

});
